# Що за MMDVM та PI-Star?

DMR, D-STAR, YSF, P25 — радіоаматори дуже полюбляють дивні абрівеатури. *MMDVM* — одна з них. Це те що вам допоможе обєднати всі ці різні цифрові радіосистеми в одну. Інша абрівеатура — *PI-Star* — це програмне забезпечення для Raspberry Pi, яке дозволяє використовувати MMDVM.

> Без радіоаматорської ліцензії можна але складно і не треба. Використовуйте лише приватні мастер сервери.

## Що таке MMDVM?

**MMDVM** (Multi-Mode Digital Voice Modem) — це апаратний модуль, який дозволяє використовувати одну антену для всіх цифрових режимів. Він приймає цифровий сигнал з радіостанції, перетворює його в цифровий сигнал, який можна передавати по Інтернету, а потім знову перетворює його в цифровий сигнал, який можна передавати по радіо. 

![Найдоступніший MMDVM Hotspot встановлений на Raspberry Pi Zero](https://i.imgur.com/XAOVTAP.png){.md-cover .md-img-r}

Це карманний low-power персональний хотспот\репітер який надає вам цифровий зв"язок різних "модів" (режимів) з будь-якої точки світу, де є доступ до Інтернету.

З фізичної точки зору найдешевший хотспот (JumboSPOT) містить передавач ADF7021 з можливим діапазоном частот 80-940 МГц, STM32 та невелику антену. JumboSPOT встановлюється на Raspberry Pi Zero W. Це найбільш доступний варіант для використання в домашніх умовах. Також є купа різних більш дорогих і зручних варіантів, що мають вбудований GPS для APRS, LTE для доступу до Інтернету, а також вбудований дисплей.

### Короткий юзкейс використання MMDVM:

У вас є DMR рація та у вашого друга з іншої країни є YSF рація. Ви хочете звязатися з ним. Що ви робите? 

Купуєте MMDVM, втановлюєте pi-star. Налаштовуєте pi-star для зєднання з одним мастер сервером ==Про це далі== в інтернеті і вільно спілкуєтесь з вашим другом. MMDVM встановлений на Raspberry Pi Zero W, який підключений до вашого домашнього роутера або до хотспота Wifi на вашому телефоні. Це реально пррацює так просто. 

### Мастер сервери
Короче кажучи і дуже спрощуючи ви передаєте свій цифровий сигнал рації (DMR, YSF, D-STAR та інші) на якийсь сервер в інтернеті. Використовуєте якусь talk групу і всі хто підєднаний до цієї talk групи почують вас. Це називається мастер сервер. 

Основний і найбільший мастер сервер це BrandMeister. Є ще декілька інших, але вони не такі популярні. Ви також можете створити власний мастер сервер, наприклад, використовуючи HBlink3 https://github.com/lz5pn/HBlink3. 

Ось декілька інших sellf-hosted мастер серверів для DMR/YSF/D-STAR:
* https://github.com/carpaldolor/DMRServer
* https://github.com/USA-RedDragon/DMRHub
* https://github.com/w9zep/Crazy-Horse-DMR-Server
* https://github.com/hp3icc/Easy-FreeDMR-Docker



## Що таке PI-Star?

PI-Star (https://www.pistar.uk/) це система управління MMDVM для Raspberry Pi. Вона дозволяє вам налаштувати MMDVM для використання з різними мастер серверами. 

![Dashboard що показує статус систем та модів. Можна побачити активність на мастерсервері](https://i.imgur.com/SmKB8Ka.jpeg){.md-cover .md-img-r}

Pi-Star доволі давно не оновлювався. Він працює. Працює майже без проблем (основна проблема це обчислювальна потужність Raspberry Pi Zero W). Але я рекомендую хардфорк Pi-Star від W0CHP https://w0chp.net/w0chp-pistar-dash/

Також дуже рекомендую використовувати щось більш потужне ніж Raspberry Pi Zero W. Можливо варто подивитися в сторону Raspberry Pi 3B+ або Raspberry Pi 4. Але в основному повільність системи можна помітити під час її налаштування. Умовний read only режим працює нормально навіть на Raspberry Pi Zero W.



Загалом можу написати Quick Start Guide для Pi-Star і MMDVM. Якщо цікаво, то пишіть в коментарях. ==Але кому воно потрібне. Це, всеодно, ніхто не читає==

